# -*- encoding: utf-8 -*-
# stub: adlint 3.2.14 ruby lib

Gem::Specification.new do |s|
  s.name = "adlint".freeze
  s.version = "3.2.14"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Yutaka Yanoh".freeze]
  s.date = "2014-05-10"
  s.description = "AdLint is a source code static analyzer.\nIt can point out unreliable or nonportable code fragments, and can measure various quality metrics of the source code.\nIt (currently) can analyze source code compliant with ANSI C89 / ISO C90 and partly ISO C99.\n".freeze
  s.email = "yanoh@users.sourceforge.net".freeze
  s.executables = ["adlint".freeze, "adlint_sma".freeze, "adlint_cma".freeze, "adlint_chk".freeze, "adlintize".freeze]
  s.extra_rdoc_files = ["README".freeze]
  s.files = ["README".freeze, "bin/adlint".freeze, "bin/adlint_chk".freeze, "bin/adlint_cma".freeze, "bin/adlint_sma".freeze, "bin/adlintize".freeze]
  s.homepage = "http://adlint.sourceforge.net/".freeze
  s.licenses = ["GPLv3+: GNU General Public License version 3 or later".freeze]
  s.post_install_message = "-------------------------------------------------------------------------------\n     ___    ____  __    ___   _________\n    /   |  / _  |/ /   / / | / /__  __/            Source Code Static Analyzer\n   / /| | / / / / /   / /  |/ /  / /                    AdLint - Advanced Lint\n  / __  |/ /_/ / /___/ / /|  /  / /\n /_/  |_|_____/_____/_/_/ |_/  /_/    Copyright (C) 2010-2014, OGIS-RI Co.,Ltd.\n\n                         Thanks for installing AdLint!\n     Please visit our project homepage at <http://adlint.sourceforge.net/>.\n\n-------------------------------------------------------------------------------\n".freeze
  s.rdoc_options = ["--main".freeze, "README".freeze, "--charset".freeze, "utf-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "AdLint :: Advanced Lint - An open source and free source code static analyzer".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version
end
